org.jbpm.services.task.deadlines.notifications.impl.email

## Class EmailNotificationListener

- java.lang.Object
- - org.jbpm.services.task.deadlines.notifications.impl.email.EmailNotificationListener

- All Implemented Interfaces:
    NotificationListener

      public class EmailNotificationListener
      extends Object
      implements NotificationListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmailNotificationListener(org.kie.internal.task.api.UserInfo userInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `buildMapByLanguage(Map<String,List<org.kie.api.task.model.User>> map, org.kie.api.task.model.Group group)`
    `protected void` | `buildMapByLanguage(Map<String,List<org.kie.api.task.model.User>> map, org.kie.api.task.model.User user)`
    `protected List<String>` | `getAttachements(Object attachementsFromVariables)`
    `protected URL` | `getAttachemntURL(String attachment)`
    `void` | `onNotification(org.kie.internal.task.api.model.NotificationEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmailNotificationListener

          public EmailNotificationListener(org.kie.internal.task.api.UserInfo userInfo)

  - ### Method Detail

    - #### onNotification

          public void onNotification(org.kie.internal.task.api.model.NotificationEvent event)

      Specified by:
        `onNotification` in interface `NotificationListener`

    - #### getAttachemntURL

          protected URL getAttachemntURL(String attachment)
                                  throws MalformedURLException

      Throws:
        `MalformedURLException`

    - #### getAttachements

          protected List<String> getAttachements(Object attachementsFromVariables)

    - #### buildMapByLanguage

          protected void buildMapByLanguage(Map<String,List<org.kie.api.task.model.User>> map,
                                org.kie.api.task.model.Group group)

    - #### buildMapByLanguage

          protected void buildMapByLanguage(Map<String,List<org.kie.api.task.model.User>> map,
                                org.kie.api.task.model.User user)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.